oracle.xml.util

## Class RegExprEngine

- java.lang.Object
- - oracle.xml.common.regex.xerces.GenericEngine<oracle.xml.common.regex.xerces.ParseException>
  - - oracle.xml.util.RegExprEngine

    public class RegExprEngine
    extends oracle.xml.common.regex.xerces.GenericEngine<oracle.xml.common.regex.xerces.ParseException>

### Constructor Summary

Constructors
Constructor and Description
`RegExprEngine(java.lang.String regexp, java.lang.String flags)`

### Method Summary

All Methods Instance Methods Concrete Methods
`oracle.xml.common.regex.xerces.ParseException` `createBadFlagsException(java.lang.String flags)` Overriden by XQuery and XSLT!
`oracle.xml.common.regex.xerces.ParseException` `createBadReplacementException(java.lang.String repval)` Overridden by XQuery ant XSLT!

### Methods inherited from class oracle.xml.common.regex.xerces.GenericEngine

`createMatchObject, getGroupParentIndex, match, match, normalizeFlags, replace, tokenize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RegExprEngine

    public RegExprEngine(java.lang.String regexp,
                         java.lang.String flags)
                  throws oracle.xml.common.regex.xerces.ParseException

Throws:
  `oracle.xml.common.regex.xerces.ParseException`

### Method Detail

#### createBadFlagsException

    public oracle.xml.common.regex.xerces.ParseException createBadFlagsException(java.lang.String flags)

Description copied from class: `oracle.xml.common.regex.xerces.GenericEngine`
Overriden by XQuery and XSLT!

Specified by:
  `createBadFlagsException` in class `oracle.xml.common.regex.xerces.GenericEngine<oracle.xml.common.regex.xerces.ParseException>`

#### createBadReplacementException

    public oracle.xml.common.regex.xerces.ParseException createBadReplacementException(java.lang.String repval)

Description copied from class: `oracle.xml.common.regex.xerces.GenericEngine`
Overridden by XQuery ant XSLT!

Specified by:
  `createBadReplacementException` in class `oracle.xml.common.regex.xerces.GenericEngine<oracle.xml.common.regex.xerces.ParseException>`

Copyright © 2003, 2020, Oracle and/or its affiliates.